Question: openssl/hmac.h error while installing bedGraphToBigWig
0
gravatar for biotech
2.4 years ago by
biotech540
United States
biotech540 wrote:

I'm trying to install bedGraphToBigWig into MACOSX.

I'm following this instructions:

https://github.com/ENCODE-DCC/kentUtils

I'm having this error when doing sudo make:

gcc -O -g  -Wall -Wno-unused-variable -Wno-deprecated-declarations  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DMACHTYPE_local -DUSE_SSL -DCOLOR32 -DUSE_SAMTABIX -DUSE_BAM -DUSE_TABIX -DKNETFILE_HOOKS   -Wall -Wno-unused-variable -Wno-deprecated-declarations  -I../inc -I../../inc -I../../../inc -I../../../../inc -I../../../../../inc -I/include -I/usr/local/Cellar/libpng/1.6.25/include/libpng16 -I/Users/bernardo/Desktop/2017_02_13_Babitzke/whole_trimmed/kentUtils/samtabix  -o hmac.o -c hmac.c
hmac.c:12:10: fatal error: 'openssl/hmac.h' file not found
#include "openssl/hmac.h"
         ^
1 error generated.
make[2]: *** [hmac.o] Error 1
make[1]: *** [topLibs] Error 2
make: *** [libs] Error 2

What should I do?

I tried:

051894:kentUtils bernardo$ brew install openssl
Warning: openssl is a keg-only and another version is linked to opt.
Use `brew install --force` if you want to install this version
bedgraphtobigwig • 1.5k views
ADD COMMENTlink modified 2.4 years ago by Alex Reynolds28k • written 2.4 years ago by biotech540
1
gravatar for genomax
2.4 years ago by
genomax70k
United States
genomax70k wrote:

Why not download pre-compiled bedGraphToBigWig executable for macOS here. Remember to do chmod u+x bedGraphToBigWig afterwards.

ADD COMMENTlink modified 2.4 years ago • written 2.4 years ago by genomax70k

What is http://hgdownload.cse.ucsc.edu?

ADD REPLYlink written 2.4 years ago by biotech540

It is the site to download data/tools from UCSC.

ADD REPLYlink written 2.4 years ago by genomax70k
0
gravatar for Alex Reynolds
2.4 years ago by
Alex Reynolds28k
Seattle, WA USA
Alex Reynolds28k wrote:

OS X doesn't use OpenSSL any longer. You can still compile things but it is more work. Use the precompiled versions of Kent utilities.

ADD COMMENTlink written 2.4 years ago by Alex Reynolds28k

What are Kent utilities?

ADD REPLYlink written 2.4 years ago by biotech540

They are what you are trying to install ("kentUtils").

ADD REPLYlink written 2.4 years ago by Alex Reynolds28k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1368 users visited in the last hour